Package ru.bitel.bgbilling.plugins.documents.server.bean.pattern

# Class DocumentProcessorFactory

java.lang.Object
ru.bitel.bgbilling.plugins.documents.server.bean.pattern.DocumentProcessorFactory

public class DocumentProcessorFactory extends Object
Фабрика, которая порождает обработчиков документов для docx/xlsx/odt-шаблонов.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DocumentProcessorFactory`
  `getInstance()`
  `DocumentProcessor`
  `getProcessor(Connection con, Document document, DocumentPattern pattern, SupportedFileFormat fileFormat, Map<String,Object> variableData, Map<String,List<Map<String,String>>> tableData)`
  Получение обработчика шаблона на основании формата файла.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static DocumentProcessorFactory getInstance()

  - ### getProcessor

    public DocumentProcessor getProcessor(Connection con, Document document, DocumentPattern pattern, SupportedFileFormat fileFormat, Map<String,Object> variableData, Map<String,List<Map<String,String>>> tableData) throws ru.bitel.bgbilling.common.BGIllegalArgumentException
    Получение обработчика шаблона на основании формата файла. Остальные аргументы содержат данные для формирования документа по шаблону, которые передаются соответствующему обработчику. Список поддерживаемых форматов см. `SupportedFileFormat`.
    Parameters:
      `con` - соединение с БД.
      `document` - документ плагина documents. Содержит информацию о коде шаблона, пользователе, договоре и т.д.
      `pattern` - шаблон плагина documents. На случай, если pattern и/или его содержимое сформировано где то в скриптах и нельзя получить эти данные, используя объект из БД.
      `fileFormat` - формат файла шаблона.
      `variableData` - готовый список переменных и их значений.
      `tableData` - готовые данные для генерируемых таблиц.
    Returns:
      обработчик шаблона.
    Throws:
      `ru.bitel.bgbilling.common.BGIllegalArgumentException` - вызывается в случае, если передан не поддерживаемый формат шаблона.